| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | List of all members
cv::Detector Class Reference
Tracking API

`#include "onlineBoosting.hpp"`

## Public Member Functions
| Detector (StrongClassifierDirectSelection *classifier)
virtual | ~Detector (void)
void | classifySmooth (const std::vector< Mat > &image, float minMargin=0)
float | getConfidence (int patchIdx)
float | getConfidenceOfBestDetection ()
float | getConfidenceOfDetection (int detectionIdx)
const std::vector< float > & | getConfidences () const
const cv::Mat & | getConfImageDisplay () const
const std::vector< int > & | getIdxDetections () const
int | getNumDetections ()
int | getPatchIdxOfBestDetection ()
int | getPatchIdxOfDetection (int detectionIdx)

## Detailed Description

Examples:
  samples/cpp/peopledetect.cpp.

## Constructor & Destructor Documentation

## § Detector()

cv::Detector::Detector | ( | StrongClassifierDirectSelection * | classifier | ) |

## § ~Detector()

virtual cv::Detector::~Detector | ( | void |  | ) |
| virtual

## Member Function Documentation

## § classifySmooth()

void cv::Detector::classifySmooth | ( | const std::vector< Mat > & | image,
|  | float | minMargin = `0`
| ) |  |

## § getConfidence()

float cv::Detector::getConfidence | ( | int | patchIdx | ) |

## § getConfidenceOfBestDetection()

float cv::Detector::getConfidenceOfBestDetection | ( |  | ) |
| inline

## § getConfidenceOfDetection()

float cv::Detector::getConfidenceOfDetection | ( | int | detectionIdx | ) |

## § getConfidences()

const std::vector<float>& cv::Detector::getConfidences | ( |  | ) | const
| inline

## § getConfImageDisplay()

const cv::Mat& cv::Detector::getConfImageDisplay | ( |  | ) | const
| inline

## § getIdxDetections()

const std::vector<int>& cv::Detector::getIdxDetections | ( |  | ) | const
| inline

## § getNumDetections()

int cv::Detector::getNumDetections | ( |  | ) |

## § getPatchIdxOfBestDetection()

int cv::Detector::getPatchIdxOfBestDetection | ( |  | ) |

## § getPatchIdxOfDetection()

int cv::Detector::getPatchIdxOfDetection | ( | int | detectionIdx | ) |

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/tracking/include/opencv2/tracking/onlineBoosting.hpp